#ifndef PAGEGENERAL_H
#define PAGEGENERAL_H

#include <QWidget>
#include <QScopedPointer>
#include <QVariant>
#include <QSettings>
#include <QFileDialog>

namespace Ui
{
class PageGeneral;
}

/**
 * @todo write docs
 */
class PageGeneral : public QWidget
{
    Q_OBJECT
public:
    PageGeneral(QWidget* parent = nullptr);
    ~PageGeneral();

signals:
    void variableModified(const QString& key, const QVariant& value);

private slots:
    void onBrowseButtonClicked();
    void onDialogAccepted();
    void onDialogDestroyed();

private:
    QScopedPointer<Ui::PageGeneral> m_ui;
    QFileDialog* dialog;
};

#endif // PAGEGENERAL_H
